Summary: A tracking detector simulation program
Name: garfieldpp
%define version 20191229
Version: %{version}
Release: 10.14%{?dist}4a
Source0: garfpp%{version}.tar.gz
Source1: http://garfieldpp.web.cern.ch/garfieldpp/getting-started/garfroot.C
Source2: http://garfieldpp.web.cern.ch/garfieldpp/getting-started/makefile_macosx
Source3: thisgarfpp.sh
Patch0: garfieldpp-macosx10.12.patch
Patch1: r545-random_hh.patch
License: CERN
Group: CERNLIB
%define __prefix /opt/garfpp
BuildRoot: %{_tmppath}/garfpp-root
BuildRequires: root
Prefix: %{__prefix}/%{version}

%description
Garfield++ is a toolkit for the detailed simulation of particle detectors 
that use gas and semi-conductors as sensitive medium. 
The main area of application is currently in micropattern gaseous detectors.

Garfield++ shares functionality with Garfield. The main differences are 
the more up-to-date treatment of electron transport and the user interface, 
which is derived from ROOT.

%prep
%setup -n garfpp%{version}
#%patch0 -p1
#%patch1 -p1
mkdir build
cd build
source `rpm -ql root | grep thisroot.sh`

mkdir bin
cp -p $RPM_SOURCE_DIR/thisgarfpp.sh bin/
(cd bin
ROOT_VER=`rpm -q root | sed -e 's;root-\([^-]*\).*;\1;'`
mv thisgarfpp.sh thisgarfpp.sh.keep
sed -e "s;5.34.12;$ROOT_VER;g" thisgarfpp.sh.keep > thisgarfpp.sh
rm -f thisgarfpp.sh.keep
)

%build
cd build
source `rpm -ql root | grep thisroot.sh`

cmake -DCMAKE_INSTALL_PREFIX=`pwd`%{prefix} \
      -DCMAKE_CXXFLAGS="-O2 -fsigned-char -fno-common" \
      -DWITH_DOCS=ON \
      -DWITH_EXAMPLES=OFF \
      ..

make %{?_smp_mflags}

%install
srctopdir=`pwd`
cd build
mkdir -p $RPM_BUILD_ROOT%{prefix}
make install
(cd ./%{prefix}
tar -cf - . | tar -vxf - -C $srctopdir
)
cd ..
rm -rf build
for i in $(find . -name .git); do rm -rf $i; done
tar -cf - . | tar -xvf - -C $RPM_BUILD_ROOT%{prefix}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(-,root,wheel)
%dir %{prefix} 
%{prefix}/*

%changelog
* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 20191229-10.14hepx3a
- 1st build of the github HEAD version as of 2019.12.29 on MacOS X 10.14 for Intel Macs
- now uses cmake
- built with OSXWS 10.14

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 545-10.14hepx3a
- 1st build on MacOS X 10.14 for Intel Macs
- built with OSXWS 10.13

* Thu Apr 05 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 545-10.13hepx3a
- 1st build on MacOS X 10.13 for Intel Macs
- added r545-random_hh.patch

* Fri Jan 6 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 467-10.12hepx2b
- 2nd build on MacOS X 10.12 for Intel Macs
- renamed the installed directory.
- included thisgarfpp.sh in SRPMS.

* Fri Jan 6 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 467-10.12hepx2a
- 1st build on MacOS X 10.12 for Intel Macs

* Tue Dec 27 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 418-10.12hepx1b
- 2nd build on MacOS X 10.12 for Intel Macs
- rebuilt with OSXWS 10.12

* Mon Dec 19 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 418-10.12hepx1a
- 1st build on MacOS X 10.12 for Intel Macs
- built with OSXWS 10.11

* Tue Feb 09 2016 Keisuke Fujii <keisuke.fujii@kek.jp> 418-10.11hepx1a
- 1st build on MacOS X 10.11 for Intel Macs

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 349-10.10hepx1a
- 1st build on MacOS X 10.10 for Intel Macs

* Fri Aug 08 2014 Keisuke Fujii <keisuke.fujii@kek.jp> 349-10.9hepx1a
- 1st build on MacOS X 10.9 for Intel Macs

* Fri Dec 20 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 337-10.9hepx1d
- 4th build on MacOS X 10.9 for Intel Macs
- now linked against root-5.34.14.

* Mon Dec 16 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 337-10.9hepx1c
- 3rd build on MacOS X 10.9 for Intel Macs
- Fixed the init script.

* Mon Dec 16 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 337-10.9hepx1b
- 2nd build on MacOS X 10.9 for Intel Macs
- with root-5.34.12-10.9hepx3a

* Fri Nov 29 2013 Keisuke Fujii <keisuke.fujii@kek.jp> 337-10.9hepx1a
- 1st build on MacOS X 10.9 for Intel Macs

* Fri May 04 2012 Keisuke Fujii <keisuke.fujii@kek.jp> 284-10.7hepx1a
- 1st build on MacOS X 10.7 for Intel Macs
